%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input

Name:          xorg-x11-drv-libinput
Version:       1.2.0
Release:       2
Summary:       Xorg X11 libinput input driver
License:       MIT
URL:           https://www.x.org
Source0:       https://www.x.org/archive/individual/driver/xf86-input-libinput-%{version}.tar.bz2
Source1:       71-libinput-overrides-wacom.conf

Patch0001:     0001-Add-a-DPIScaleFactor-option-as-temporary-solution-to.patch

BuildRequires: autoconf automake libtool 
BuildRequires: libudev-devel libevdev-devel
BuildRequires: libinput-devel >= 0.6.0-3
BuildRequires: xorg-x11-server-devel >= 1.14.0

Requires:      Xorg %(xserver-sdk-abi-requires ansic) xkeyboard-config libinput >= 0.21.0
Requires:      Xorg %(xserver-sdk-abi-requires xinput)

Provides:      xorg-x11-drv-synaptics = 1.9.0-3
Obsoletes:     xorg-x11-drv-synaptics < 1.9.0-3

%description
A generic input driver for the X.Org X11 X server based on libinput,
supporting all devices.

%package        devel
Summary:        Xorg X11 libinput input driver development package.
Requires:       pkgconfig

%description    devel
Xorg X11 libinput input driver development files.

%package_help

%prep
%autosetup -n xf86-input-libinput-%{version} -p1

%build
autoreconf --force -v --install || exit 1
%configure --disable-static --disable-silent-rules
%make_build

%check
make check

%install
%make_install

%delete_la

cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d/

%files
%defattr(-,root,root)
%doc COPYING ChangeLog
%{driverdir}/libinput_drv.so
%{_datadir}/X11/xorg.conf.d/*.conf

%files devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/pkgconfig/xorg-libinput.pc
%{_includedir}/xorg/libinput-properties.h

%files help
%defattr(-,root,root)
%doc README.md
%{_mandir}/man4/libinput.4*

%changelog
* Tue Oct 25 2022 wangkerong <wangkerong@h-partners.com> - 1.2.0-2
- rebuild for next release

* Thu Nov 11 2021 yangcheng<yangcheng87@huawei.com> - 1.2.0-1
- Upgrade to 1.2.0-1

* Mon Jul 20 2020 chengguipeng<chengguipeng1@huawei.com> - 0.30.0-1
- Upgrade to 0.30.0-1

* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.28.0-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:enable make check test case

* Thu Jan 3 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.28.0-4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:optimization the spec

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.28.0-3
- Package init 
